Skip to main content
GET
/
api
/
v1
/
agents
Typescript (SDK)
import { SDK } from "@meetkai/mka1";

const sdk = new SDK();

async function run() {
  const result = await sdk.agents.listAgents({
    bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
  }, {});

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {
      "object": "agent",
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "model": "functionary-pt",
      "instructions": "<string>",
      "tools": [
        {
          "type": "web_search",
          "search_context_size": "low",
          "user_location": {
            "type": "approximate",
            "city": "<string>",
            "country": "<string>",
            "region": "<string>",
            "timezone": "<string>"
          },
          "filters": {
            "allowed_domains": [
              "<string>"
            ]
          }
        }
      ],
      "tool_choice": "<string>",
      "parallel_tool_calls": true,
      "max_tool_calls": 123,
      "text": {
        "format": {
          "type": "text"
        },
        "verbosity": "low"
      },
      "reasoning": {
        "effort": "low"
      },
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "first_id": "<string>",
  "last_id": "<string>",
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
order
enum<string>
default:desc
Available options:
asc,
desc

Response

A list of saved agents.

object
enum<string>
required
Available options:
list
data
object[]
required
first_id
string | null
required
last_id
string | null
required
has_more
boolean
required